
clear

colormap(jet)
load SWH.OUTF.mat
xgrd=load('../input/xgrd.2.1c.dat');
ygrd=load('../input/ygrd.2.1c.dat');

figure(1),clf,hold off
for itime=1:6
  subplot(2,3,itime)
  pcolor(xgrd,ygrd,SWH_t{itime}')
  shading interp
  caxis([0 3]);colorbar
  title(['SWH (m) ; ' datestr(time(itime),0)])
  axis square
  xlabel('x (meters)')
  xlabel('y (meters)')
end

figure(2),clf,hold off % same thing, but zoomed in more
for itime=1:6
  subplot(2,3,itime)
  pcolor(xgrd,ygrd,SWH_t{itime}')
  shading interp
  caxis([0 3]);colorbar
  title(['SWH (m) ; ' datestr(time(itime),0)])
  axis square
  axis([43e+5 49e+5 43e+5 50e+5])  
  xlabel('x (meters)')
  xlabel('y (meters)')
end

